#docker build -t registry.gitlab.com/iottacle/ble-sniffer:1.0.0 .
#docker run -ti -d -v /dev/hci0:/dev/hci0 --net=host -v /etc/mmma:/etc/mmma -v /opt/common:/opt/common --privileged --restart=unless-stopped registry.gitlab.com/iottacle/ble-sniffer:1.0.0

FROM balenalib/raspberrypi3-debian-python:2.7.15-jessie-build

RUN apt-get update
RUN apt-get install -y libusb-dev libdbus-1-dev libglib2.0-dev libudev-dev libical-dev libreadline-dev --fix-missing 
RUN apt-get install -y bc bluez bluez-hcidump

WORKDIR /opt/ble-sniffer

RUN mkdir -p /opt/ble-sniffer

ADD . /opt/ble-sniffer

RUN pip install -r requirements.txt

ENTRYPOINT ["python", "ble-sniffer.py"]
